/**
 * DevExtreme (cjs/renovation/component_wrapper/data_grid.js)
 * Version: 21.1.2
 * Build date: Fri Apr 09 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.default = void 0;
var _component = _interopRequireDefault(require("./component"));

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    }
}

function _inheritsLoose(subClass, superClass) {
    subClass.prototype = Object.create(superClass.prototype);
    subClass.prototype.constructor = subClass;
    _setPrototypeOf(subClass, superClass)
}

function _setPrototypeOf(o, p) {
    _setPrototypeOf = Object.setPrototypeOf || function(o, p) {
        o.__proto__ = p;
        return o
    };
    return _setPrototypeOf(o, p)
}
var DataGridWrapper = function(_Component) {
    _inheritsLoose(DataGridWrapper, _Component);

    function DataGridWrapper() {
        return _Component.apply(this, arguments) || this
    }
    var _proto = DataGridWrapper.prototype;
    _proto.beginUpdate = function() {
        var _this$viewRef;
        var gridInstance = null === (_this$viewRef = this.viewRef) || void 0 === _this$viewRef ? void 0 : _this$viewRef.getComponentInstance();
        _Component.prototype.beginUpdate.call(this);
        null === gridInstance || void 0 === gridInstance ? void 0 : gridInstance.beginUpdate()
    };
    _proto.endUpdate = function() {
        var _this$viewRef2;
        var gridInstance = null === (_this$viewRef2 = this.viewRef) || void 0 === _this$viewRef2 ? void 0 : _this$viewRef2.getComponentInstance();
        _Component.prototype.endUpdate.call(this);
        null === gridInstance || void 0 === gridInstance ? void 0 : gridInstance.endUpdate()
    };
    return DataGridWrapper
}(_component.default);
exports.default = DataGridWrapper;
module.exports = exports.default;
module.exports.default = exports.default;
