/**
 * DevExtreme (esm/renovation/ui/scroll_view/scroll_view_props.js)
 * Version: 21.1.2
 * Build date: Fri Apr 09 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import _extends from "@babel/runtime/helpers/esm/extends";
import {
    ScrollableProps
} from "./scrollable_props";
import {
    BaseWidgetProps
} from "../common/base_props";
export var ScrollViewProps = _extends({}, ScrollableProps);
export var ScrollViewPropsType = {
    useNative: ScrollViewProps.useNative,
    direction: ScrollViewProps.direction,
    showScrollbar: ScrollViewProps.showScrollbar,
    scrollByThumb: ScrollViewProps.scrollByThumb,
    bounceEnabled: ScrollViewProps.bounceEnabled,
    scrollByContent: ScrollViewProps.scrollByContent,
    useKeyboard: ScrollViewProps.useKeyboard,
    pullDownEnabled: ScrollViewProps.pullDownEnabled,
    reachBottomEnabled: ScrollViewProps.reachBottomEnabled,
    forceGeneratePockets: ScrollViewProps.forceGeneratePockets,
    needScrollViewContentWrapper: ScrollViewProps.needScrollViewContentWrapper,
    needScrollViewLoadPanel: ScrollViewProps.needScrollViewLoadPanel,
    disabled: BaseWidgetProps.disabled
};
