/**
 * DevExtreme (esm/renovation/ui/scroll_view/scrollbar_props.js)
 * Version: 21.1.2
 * Build date: Fri Apr 09 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import _extends from "@babel/runtime/helpers/esm/extends";
import {
    ScrollableInternalProps
} from "./scrollable_props";
import {
    TopPocketState
} from "./common/consts";
export var ScrollbarProps = _extends({}, ScrollableInternalProps, {
    activeStateEnabled: false,
    expandable: true,
    direction: "vertical",
    scaleRatio: 1,
    containerSize: 0,
    contentSize: 0,
    baseContainerSize: 0,
    baseContentSize: 0,
    topPocketSize: 0,
    bottomPocketSize: 0,
    scrollableOffset: 0,
    scrollByThumb: false,
    isScrollableHovered: false,
    bounceEnabled: true,
    forceVisibility: false,
    defaultPocketState: TopPocketState.STATE_RELEASED
});
