/**
* DevExtreme (core/element.d.ts)
* Version: 21.1.2
* Build date: Fri Apr 09 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import { dxElementWrapper } from '../core/renderer';

/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface ElementWrapper<T extends Element> { }
/**
 * 
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export type TElement<T extends Element = HTMLElement> = {} extends ElementWrapper<T> ? T : ElementWrapper<T>

/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface InternalElementWrapper<T extends Element> { }
/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export type TInternalElement<T extends Element = HTMLElement> = {} extends InternalElementWrapper<T> ? dxElementWrapper : InternalElementWrapper<T>

/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface ElementsArrayWrapper<T extends Element> { }
/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export type TElementsArray<T extends Element = HTMLElement> = {} extends ElementsArrayWrapper<T> ? Array<T> : ElementsArrayWrapper<T>

/**
 * 
 * @deprecated 
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export type dxElement = TElement<HTMLElement>;

/**
 * 
 * @deprecated 
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export type dxSVGElement = TElement<SVGElement>;

/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export function getPublicElement(element: TInternalElement): TElement;
/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export function setPublicElementWrapper(newStrategy: (element: TInternalElement) => TElement): void;
