/**
 * DevExtreme (esm/renovation/ui/scroll_view/scrollable_props.js)
 * Version: 21.1.2
 * Build date: Fri Apr 09 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import _extends from "@babel/runtime/helpers/esm/extends";
export var ScrollableInternalProps = {
    direction: "vertical",
    showScrollbar: "onScroll",
    scrollByThumb: false,
    bounceEnabled: true,
    scrollByContent: true,
    useKeyboard: true,
    pullDownEnabled: false,
    reachBottomEnabled: false,
    forceGeneratePockets: false,
    needScrollViewContentWrapper: false,
    needScrollViewLoadPanel: false
};
export var ScrollableProps = _extends({}, ScrollableInternalProps, {
    useNative: true
});
