/**
* DevExtreme (ui/recurrence_editor.d.ts)
* Version: 21.1.2
* Build date: Fri Apr 09 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import {
    TElement
} from '../core/element';

import Editor, {
    EditorOptions
} from './editor/editor';

/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface dxRecurrenceEditorOptions extends EditorOptions<dxRecurrenceEditor> {
    /**
     * 
     */
    value?: string;
}
/**
 * 
 */
export default class dxRecurrenceEditor extends Editor {
    constructor(element: TElement, options?: dxRecurrenceEditorOptions)
}

/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export type Options = dxRecurrenceEditorOptions;

/**
 * @deprecated
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export type IOptions = dxRecurrenceEditorOptions;
